%global pypi_name pyflakes
%global commitId b37f91a1ae25cfc242d5043985b05159e152091a

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.0.1
Release:        1%{?dist}
Summary:        passive checker of Python programs

License:        MIT
URL:            https://github.com/PyCQA/pyflakes
Source0:        python-pyflakes-b37f91a1ae25cfc242d5043985b05159e152091a.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
A simple program which checks Python source files for errors.

Pyflakes analyzes programs and detects various errors. It works by parsing the
source file, not importing it, so it is safe to use on modules with side
effects. It’s also much faster.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%exclude %{_bindir}/pyflakes
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Apr 03 2023 Satoe Imaishi <simaishi@redhat.com> - 3.0.1-1
- Initial build
